<?php

namespace Drupal\bootstrap_italia_views_list\Plugin\views\style;

use Drupal\views\Plugin\views\style\StylePluginBase;

/**
 * Style plugin to render list component.
 *
 * @ingroup views_style_plugins
 *
 * @ViewsStyle(
 *   id = "bootstrap_italia_views_list_style",
 *   title = @Translation("Bootstrap Italia List"),
 *   help = @Translation("Render a Bootstrap Italia List."),
 *   theme = "views_bootstrap_italia_views_list",
 *   display_types = { "normal" }
 * )
 */
class ListStyle extends StylePluginBase {

  /**
   * Does this Style plugin allow Row plugins?
   *
   * @var bool
   */
  protected $usesRowPlugin = TRUE;

  /**
   * Does the Style plugin support grouping of rows?
   *
   * @var bool
   */
  protected $usesGrouping = FALSE;

  /**
   * {@inheritdoc}
   */
  protected function defineOptions() {
    $options = parent::defineOptions();
    $options['list_settings'] = ['default' => []];
    return $options;
  }

}
